import { ITypedEvent } from "../../TypedEvent";
import { IUser } from "../Users/IUser";
import { ISessionService } from "./ISessionService";
export declare class SessionService implements ISessionService {
    private _onUserLoggedInEvent;
    private _onUserLoggedOutEvent;
    private _serviceName;
    private _user;
    OnUserLoggedInEvent(): ITypedEvent<IUser>;
    OnUserLoggedOutEvent(): ITypedEvent<IUser>;
    get User(): IUser | null;
    UserLogOut(): Promise<void>;
    UserLogIn(email: string, password: string): Promise<boolean>;
    GetServiceName(): string;
}
