import { nameof } from "ts-simple-nameof";
import { TypedEvent } from "../../TypedEvent";
var SessionService = (function () {
    function SessionService() {
        this._onUserLoggedInEvent = new TypedEvent();
        this._onUserLoggedOutEvent = new TypedEvent();
        this._serviceName = nameof(SessionService);
        this._user = null;
    }
    SessionService.prototype.OnUserLoggedInEvent = function () {
        return this._onUserLoggedInEvent;
    };
    SessionService.prototype.OnUserLoggedOutEvent = function () {
        return this._onUserLoggedOutEvent;
    };
    Object.defineProperty(SessionService.prototype, "User", {
        get: function () {
            return this._user;
        },
        enumerable: false,
        configurable: true
    });
    SessionService.prototype.UserLogOut = function () {
        throw new Error("Method not implemented.");
    };
    SessionService.prototype.UserLogIn = function (email, password) {
        throw new Error("Method not implemented.");
    };
    SessionService.prototype.GetServiceName = function () {
        return this._serviceName;
    };
    return SessionService;
}());
export { SessionService };
//# sourceMappingURL=SessionService.js.map