import { IDIService } from "../../IDIService";
import { ITypedEvent } from "../../TypedEvent";
import { IUser } from "../Users/IUser";
export interface ISessionService extends IDIService {
    OnUserLoggedInEvent(): ITypedEvent<IUser>;
    OnUserLoggedOutEvent(): ITypedEvent<IUser>;
    get User(): IUser | null;
    UserLogOut(): Promise<void>;
    UserLogIn(email: string, password: string): Promise<boolean>;
}
